##### Coverage Report - org.owasp.dependencycheck.data.update.UpdateTask

Classes in this File | Line Coverage | Branch Coverage | Complexity
UpdateTask |
N/A | N/A
N/A | N/A
| 1.0;1

1 |  |
     /*
2 |  |
      * This file is part of dependency-check-core.
3 |  |
      *
4 |  |
      * Dependency-check-core is free software: you can redistribute it and/or modify it
5 |  |
      * under the terms of the GNU General Public License as published by the Free
6 |  |
      * Software Foundation, either version 3 of the License, or (at your option) any
7 |  |
      * later version.
8 |  |
      *
9 |  |
      * Dependency-check-core is distributed in the hope that it will be useful, but
10 |  |
      * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
11 |  |
      * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
12 |  |
      * details.
13 |  |
      *
14 |  |
      * You should have received a copy of the GNU General Public License along with
15 |  |
      * dependency-check-core. If not, see http://www.gnu.org/licenses/.
16 |  |
      *
17 |  |
      * Copyright (c) 2012 Jeremy Long. All Rights Reserved.
18 |  |
      */
19 |  |
     package org.owasp.dependencycheck.data.update;
20 |  |
21 |  |
     import org.owasp.dependencycheck.data.UpdateException;
22 |  |
23 |  |
     /**
24 |  |
      * An interface defining an update task.
25 |  |
      *
26 |  |
      * @author Jeremy Long (jeremy.long@owasp.org)
27 |  |
      */
28 |  |
     public interface UpdateTask {
29 |  |
30 |  |
         /**
31 |  |
          * <p>Updates the data store to the latest version.</p>
32 |  |
          *
33 |  |
          * @throws UpdateException is thrown if there is an error updating the
34 |  |
          * database
35 |  |
          */
36 |  |
         void update() throws UpdateException;
37 |  |
38 |  |
         /**
39 |  |
          * Get the value of deleteAndRecreate.
40 |  |
          *
41 |  |
          * @return the value of deleteAndRecreate
42 |  |
          */
43 |  |
         boolean shouldDeleteAndRecreate();
44 |  |
45 |  |
         /**
46 |  |
          * Gets whether or not an update is needed.
47 |  |
          *
48 |  |
          * @return true or false depending on whether an update is needed
49 |  |
          */
50 |  |
         boolean isUpdateNeeded();
51 |  |
     }